// var app = getApp();
Component({
  properties: {
    list: {
      type: null
    },
    state: {
      type: null
    },
    shopid: {
      type: null
    },
    formCard: {
      type: null
    }
  },
  data: {
    articles: []
  }, // 私有数据，可用于模板渲染

  lifetimes: {
    // 生命周期函数，可以为函数，或一个在methods段中定义的方法名
    attached() {},
    moved() {},
    detached() {}
  },

  // 生命周期函数，可以为函数，或一个在methods段中定义的方法名
  attached() {}, // 此处attached的声明会被lifetimes字段中的声明覆盖
  ready() {},

  pageLifetimes: {
    // 组件所在页面的生命周期函数
    show() {},
    hide() {},
    resize() {}
  },

  methods: {
    gocatelist(e) {
      let id = e.currentTarget.dataset.id;
      if (this.data.formCard) {
        wx.navigateTo({
          url: '/packageB/member/business_card/CardGoods/CardGoods' + '?id=' + id + '&card_id=' + this.data.formCard
        });
      } else {
        wx.navigateTo({
          url: '/packageC/microshop/catelist1/catelist1?id=' + id + '&shop_id=' + this.data
        });
      }
    }
  }
});
